#ifndef RF_INPUT_H
#define RF_INPUT_H

// initializes the PWM input of the remote on PB6
void RF_INPUT_Init(void);

// returns the period of the PWM signal of the remote in us
int RF_INPUT_GetPeriodUs(void);

// returns the duty time of the PWM signal of the remote in us
int RF_INPUT_GetDutyTimeUs(void);

// returns the duty time of the PWM signal of the remote as a value between -100 and 100
int RF_INPUT_GetDutyTimeRelative(void);

#endif
